<?php
require('../fpdf.php');

class PDF extends FPDF
{
var $B;
var $I;
var $U;
var $HREF;


function WriteHTML($html)
{
        //HTML parser
        $html=str_replace("\n",' ',$html);
        $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
        foreach($a as $i=>$e)
        {
                if($i%2==0)
                {
                        //Text
                        if($this->HREF)
                                $this->PutLink($this->HREF,$e);
                        else
                                $this->Write(5,$e);
//                              $this->Cell(180,5,$e,1,2,'J');
                }
                else
                {
                        //Tag
                        if($e{0}=='/')
                                $this->CloseTag(strtoupper(substr($e,1)));
                        else
                        {
                                //Extract attributes
                                $a2=explode(' ',$e);
                                $tag=strtoupper(array_shift($a2));
                                $attr=array();
                                foreach($a2 as $v)
                                        if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                                                $attr[strtoupper($a3[1])]=$a3[2];
                                $this->OpenTag($tag,$attr);
                        }
                }
        }
}

function OpenTag($tag,$attr)
{
        //Opening tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,true);
        if($tag=='A')
                $this->HREF=$attr['HREF'];
        if($tag=='BR')
                $this->Ln(5);
}

function CloseTag($tag)
{
        //Closing tag
        if($tag=='B' or $tag=='I' or $tag=='U')
                $this->SetStyle($tag,false);
        if($tag=='A')
                $this->HREF='';
}

function SetStyle($tag,$enable)
{
        //Modify style and select corresponding font
        $this->$tag+=($enable ? 1 : -1);
        $style='';
        foreach(array('B','I','U') as $s)
                if($this->$s>0)
                        $style.=$s;
        $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
        //Put a hyperlink
        $this->SetTextColor(0,0,255);
        $this->SetStyle('U',true);
        $this->Write(5,$txt,$URL);
        $this->SetStyle('U',false);
        $this->SetTextColor(0);
}
//Page header
function Header2($texto)
{
        //Logo
        $this->Image('../logo_colegio.png',10,8,20);
        $this->Image('../logo_colegio2.png',180,8,18);
        //Arial bold 15
        $this->SetFont('Arial','B',15);
        //Move to the right
        $this->Cell(80);
        //Title
        $this->Cell(30,10,$texto,0,0,'C');
        //Line break
        $this->Ln(20);
}

//Page footer
function Footer()
{
        //Position at 1.5 cm from bottom
        $this->SetY(-15);
        //Arial italic 8
        $this->SetFont('Arial','I',8);
        //Page number
//        $this->Cell(0,10,'Pagina '.$this->PageNo().'/{nb}',0,0,'C');
}
}

include("../fnc.php");
include("../n2l_notas.php");

$pdf=new PDF('P','mm','Legal');
$pdf->SetMargins(20,20,20);
$pdf->AliasNbPages();

$id_grado = $txtgrado;
$qalumnosg=mysql_query("select carnet from alumnos where grado_estudio = '$id_grado' and year_estudio = '".get_ciclo_activo()."' order by apellido, nombre");
while($ialumnosg=mysql_fetch_array($qalumnosg)){
$idalumno=$ialumnosg[carnet];
          $sqlalumno="select alumnos.*, grados.grado, niveles.nivel 
                      from alumnos inner join grados ON alumnos.grado_estudio=grados.id
                      inner join niveles on grados.nivel = niveles.id
                      where carnet = '{$ialumnosg[carnet]}'";

$pdf->AddPage();
$pdf->SetFont('Arial','',14);

                      
$qalumno=mysql_query($sqlalumno);
                      //echo mysql_error()."$sqlalumno";
$info=mysql_fetch_array($qalumno);


$pdf->SetStyle("B",true);
$pdf->cell(0,5,strtoupper(get_nombre_institucion()),0,1,"C");
$pdf->SetStyle("B",false);
$pdf->SetFont('Arial','',9);
$pdf->cell(0,5,(get_dir_institucion()),0,1,"C");
$pdf->cell(0,5,"Guatemala, C.A.",0,1,"C");
$pdf->ln(10);


$pdf->SetFont('Arial','',14);
$pdf->SetStyle("B",true);
$pdf->cell(0,5,"CERTIFICADO DE NOTAS",0,1,"C");
$pdf->SetStyle("B",false);

$pdf->ln(10);
$pdf->SetFont('Arial','',9);

$gradoennumeros=0;
switch($info[grado]){
  case "CUARTO": $gradoennumeros=4; $gradobd=1;
  break;
  case "QUINTO": $gradoennumeros=5; $gradobd=2;
  break;
  case "SEXTO": $gradoennumeros=6; $gradobd=3;
  break;
}

$tmpnivel=explode(" ",$info[nivel]);

switch(strtolower($tmpnivel[0])){
  case "perito":   $num_acuerdo="326-92-EP"; $fecha_acuerdo="12/11/1992";
  break;
  case "bachillerato":   $num_acuerdo="876"; $fecha_acuerdo="15/10/1981";
  break;
  case "secretariado":   $num_acuerdo="876"; $fecha_acuerdo="15/10/1981";
  break;
}

$qmatricula=mysql_query("select * 
                         from exp_matriculas
                         where nivel='DIVERSIFIC'
                         and grado = $gradoennumeros
                         and carnet = '{$info[carnet]}'");

if(mysql_num_rows($qmatricula)>0){
  $imatricula=mysql_fetch_array($qmatricula);
  $matricula_ga=$imatricula[matricula];
  $fecha_matricula_ga=fecha($imatricula[matricula_fecha]);
  $matricula_extendidaen=$imatricula[matricula_extendidaen];
}else{
  $msgerror="FALTA OPERAR LA INFO. DE LA MATRICULA";
  $matricula_ga=$msgerror;
  $fecha_matricula_ga=$msgerror;
  $matricula_extendidaen=$msgerror;
}


$texto="El Infrascrito(a) Secretario(a) del ".get_nombre_institucion()." , autorizado por el Acuerdo Ministerial No. ";
$texto.="$num_acuerdo de fecha $fecha_acuerdo CERTIFICA: que el alumno(a): ";
$texto.="----".$info[nombre]." ".$info[apellido]."----, durante el ciclo escolar ".get_ciclo_activo()." cursó el {$info[grado]} grado de la carrera de: ";
$texto.=strtoupper(del_tildes($info[nivel]))." del Ciclo Diversificado con número de código personal ".$pdf->setstyle("B",true)."$matricula_ga ".$pdf->setstyle("B",false)."extendido en: ";
$texto.="$matricula_extendidaen del Municipio de Guatemala, Departamento de Guatemala, y que ha tenido a la vista los Cuadros de Registro de Evaluaciones en donde consta que se hizo acreedor(a) a las notas siguientes:";
$pdf->multicell(0,8,$texto);

$pdf->cell(85,15,"",1,0);
$pdf->cell(65,15,"",1,0);
$pdf->cell(25,15,"",1,1);
$pdf->Ln(-15);

$pdf->setstyle("B",true);
$pdf->cell(0,5,"",0,1);
$pdf->cell(85,5,"A S I G N A T U R A S",0,1,"C");

$pdf->Ln(-10);
$pdf->cell(85,5,"");
$pdf->cell(85,7.5,"NOTAS DE EVALUACION",0,1,"C");
$pdf->cell(85,7.5,"");
$pdf->cell(15,7.5,"Números",0,0);
$pdf->cell(50,7.5,"En Letras",0,1,"C");

$pdf->Ln(-15);
$pdf->cell(150,5,"");
$pdf->cell(25,5,"RESULTADO",0,1,"C");
$pdf->cell(150,5,"");
$pdf->cell(25,5,"Aprobado",0,1,"C");
$pdf->cell(150,5,"");
$pdf->cell(25,5,"No Aprobado",0,1,"C");
$pdf->setstyle("B",false);
$qcursos=mysql_query("select cursos.*
                      from cursos inner join cursos_grados ON cursos_grados.curso = cursos.codigo
                      where cursos_grados.grado = '{$info[grado_estudio]}'
                      and cursos.oficial = 'S'
                      order by posicion_certificado");
$i=0;
while($icursos=mysql_fetch_array($qcursos)){
  $i++;
  $num=rellenar($i,2);
  $nota_promedio_curso=nota_promedio($idalumno, $icursos[codigo]);
  
  $resultado="No aprobado";
  //if($nota_promedio_curso >= $icursos[punteo_aprobacion]){
  if($nota_promedio_curso >= 60){
    $resultado="Aprobado";
  }
  
  $pdf->cell(85,7,"$num. {$icursos[curso]}",1,0);
  $pdf->cell(15,7,$nota_promedio_curso,1,0,"C");
  $pdf->cell(50,7,inicial_mayuscula(enletras($nota_promedio_curso)),1,0);
  $pdf->cell(25,7,$resultado,1,1,"C");
}

$pdf->cell(85,7,"------------Ultima línea------------",1,0);
$pdf->cell(15,7,"",1,0);
$pdf->cell(50,7,"",1,0);
$pdf->cell(25,7,"",1,1,"C");


$fedia=day_of_date(fechabd($txtfechae));
$femes=month_of_date(fechabd($txtfechae));
$feyear=year_of_date(fechabd($txtfechae));

$fecha_certificado="";
if($fedia>1){
  $fecha_certificado="$fedia días del mes de ".mes_letras($femes)." del ".enletras($feyear);
}else{
  $fecha_certificado="$fedia día del mes de ".mes_letras($femes)." del ".enletras($feyear);
}

$texto3="En fe de lo anterior, se extiende la presente en la Ciudad de Guatemala, a los $fecha_certificado.";
$pdf->multicell(0,8,$texto3,0,"J");


$pdf->setstyle("B",true);
$pdf->Ln(20);
$pdf->cell(110,5,"",0,0);
$pdf->cell(40,5,"Profa. Gloria Xicará",0,1,"C");
$pdf->cell(110,5,"",0,0);
$pdf->cell(40,5,"SECRETARIO(A)",0,1,"C");

$pdf->Ln(10);

$pdf->cell(10,5,"Vo.Bo.",0,1);
$pdf->cell(60,5,"Licda. Carmen de Pardo",0,1,"C");
$pdf->cell(60,5,"DIRECTORA GENERAL",0,1,"C");

$pdf->setstyle("B",false);

$pdf->Ln();
$pdf->SetFont("Arial","",5);
$razon="RAZON\nExento del Impuesto de Timbres y Papel Sellado; según Artículo 10, numeral 3,\ndel Decreto del Congreso de la República NO. 37-92, de fecha 22 de junio de 1992";
$pdf->MultiCell(80,3,$razon,0,"L");

}

$pdf->Output();
exit();
?>
